package com.kfb.kfbv1.db;

import androidx.room.Dao;
import androidx.room.Delete;
import androidx.room.Insert;
import androidx.room.Query;
import androidx.room.Update;

import java.util.List;

@Dao
public interface UrzadzenieDao {
    @Query("SELECT * FROM urzadzenie")
    List<Urzadzenia> getAll();

    @Query("SELECT * FROM urzadzenie WHERE id IN (:id)")
    Urzadzenia loadAllByIds(int id);

    @Insert
    void insertAll(Urzadzenia urz);

    @Delete
    void delete(Urzadzenia urz);
    @Update
    void update(Urzadzenia urz);
}
